import { LitElement } from "lit";
export declare class FwDvdLogo extends LitElement {
    parentRef: HTMLElement | null;
    scale: number;
    private _position;
    private _dimensions;
    private _color;
    private _velocity;
    private _animationFrame;
    private _resizeObserver;
    private _lastTimestamp;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    firstUpdated(): void;
    disconnectedCallback(): void;
    protected updated(changed: Map<string, unknown>): void;
    private _getParent;
    private _attachResizeObserver;
    private _detachResizeObserver;
    private _recalculateDimensions;
    private _startAnimation;
    private _stopAnimation;
    protected render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "fw-dvd-logo": FwDvdLogo;
    }
}
